#!/bin/bash

HARMONY_PATH="/opt/harmony"
BIN_PATH="/opt/harmony/bin/harmony"
LINK_PATH="/usr/bin/harmony"

if [[ ! -d "${HARMONY_PATH}" ]]; then
    sudo mkdir -p ${HARMONY_PATH}/bin
    sudo mkdir ${HARMONY_PATH}/.config
    sudo mkdir ${HARMONY_PATH}/guide
fi

sudo cp ./harmony ${BIN_PATH}

sudo ln -sf "${BIN_PATH}" "${LINK_PATH}"

echo "----- Harmony Install Complete"
